/* livraisons */

DROP TABLE JOURNAL;
CREATE TABLE JOURNAL(CODE_J SMALLINT,TITRE CHAR(15),PRIX NUMERIC(6,2),TYPE CHAR(10),PERIODE CHAR(10),ADR_J VARCHAR(10));
COMMENT ON COLUMN JOURNAL.CODE_J IS 'NUMERO DE JOURNAL';
COMMENT ON COLUMN JOURNAL.TITRE IS 'TITRE DU JOURNAL';
COMMENT ON COLUMN JOURNAL.PRIX IS 'PRIX DE VENTE DU JOURNAL' ;
COMMENT ON COLUMN JOURNAL.PERIODE IS 'PERIODICITE DU JOURNAL' ;
COMMENT ON TABLE JOURNAL IS 'BD JOURNAL';
 
DROP TABLE DEPOT;
CREATE TABLE DEPOT(N_DEP SMALLINT,NOM_DEP VARCHAR(20),ADR VARCHAR(10),N_LIV SMALLINT);
COMMENT ON TABLE DEPOT IS 'BD JOURNAL';
COMMENT ON COLUMN DEPOT.N_DEP IS 'NUMERO DE DEPOT';
COMMENT ON COLUMN DEPOT.NOM_DEP IS 'NOM DE DEPOT';
COMMENT ON COLUMN DEPOT.ADR IS 'ADRESSE DE DEPOT';
COMMENT ON COLUMN DEPOT.N_LIV IS 'NUMERO DU LIVREUR';
 
DROP TABLE LIVRAISON;
CREATE TABLE LIVRAISON(N_DEP SMALLINT,CODE_J SMALLINT,DATE_L DATE,QTE_L SMALLINT,QTE_R SMALLINT);
COMMENT ON TABLE LIVRAISON IS 'BD JOURNAL';
COMMENT ON COLUMN LIVRAISON.N_DEP IS 'NUMERO DE DEPOT';
COMMENT ON COLUMN LIVRAISON.CODE_J IS 'NUMERO DE JOURNAL' ;
COMMENT ON COLUMN LIVRAISON.QTE_L IS 'QUANTITE LIVREE';
COMMENT ON COLUMN LIVRAISON.QTE_R IS 'QUANTITE RENDUE';
 
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(115,'LIBERATION    ', 4.5,        'INFO   ','QUOTIDIEN','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(110,'LE MONDE      ', 4.5,        'INFO   ','QUOTIDIEN','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(120,'LA RECHERCHE  ',32.0,        'SCIENCE','MENSUEL  ','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(160,'ELLE          ',15.0,        'FEMININ','HEBDO    ','MONTROUGE');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(165,'LE POINT      ',20.0,        'INFO   ','HEBDO    ','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(156,'SCIENCE ET VIE',20.0,        'SCIENCE','MENSUEL  ','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(184,'LE NOUVEL OBS ',20.0,        'INFO   ','HEBDO    ','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(194,'MARIE CLAIRE  ',15.0,        'FEMININ','MENSUEL  ','MONTROUGE');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(142,'TELERAMA      ',15.0,        'TELE   ','HEBDO    ','MONTROUGE');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(145,'TELE 7 JOURS  ',15.0,        'TELE   ','HEBDO    ','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(147,'LE FIGARO     ', 5.0,        'INFO   ','QUOTIDIEN','PARIS    ');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(153,'LE CANARD     ',20.0, NULL ,'HEBDO    ','MONTROUGE');
INSERT INTO JOURNAL(CODE_J ,TITRE ,PRIX , TYPE ,PERIODE ,ADR_J ) values
(149,'L EXPRESS     ',20.0,        'INFO   ','HEBDO    ','PARIS    ');
 
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(345,'CAFE LE FONTENAY ','BURES    ',     410);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(328,'LE MOZARD        ','PARIS    ',     410);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(310,'CAFE DE LA GARE  ','BURES    ',     420);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(325,'CAFE DU COMMERCE ','ORSAY    ',     420);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(378,'TABAC DU CENTRE  ','LIMOURS  ',     430);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(311,'CAFE DE PARIS    ','ARCUEIL  ',     430);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(324,'PRESSE_CITY      ','PARIS    ',     430);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(365,'CAFE DES AMIS    ','PARIS    ',     420);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(357,'CAFE DE LA GARE  ','PARIS    ',     430);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(379,'LES BRASSEURS    ','PARIS    ',     410);
INSERT INTO  DEPOT(N_DEP ,NOM_DEP , ADR ,N_LIV ) values
(381,'L''AVENTURE       ','BREUILLET',     440);
 
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(345,115, to_date('124 2004','DDD YYYY') , 40  ,2  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(345,110, to_date('125 2004','DDD YYYY') , 48  ,1  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(345,165, to_date('125 2004','DDD YYYY') , 10  ,2  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(328,115, to_date('126 2004','DDD YYYY') , 10  ,1  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(328,110, to_date('125 2004','DDD YYYY') , 20  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(310,165, to_date('121 2004','DDD YYYY') , 24  ,3  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(310,142, to_date('121 2004','DDD YYYY') , 50  ,5  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(379,165, to_date('100 2004','DDD YYYY') , 100 ,4  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(328,110, to_date('100 2004','DDD YYYY') , 30  ,1  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(310,165, to_date('100 2004','DDD YYYY') , 50  ,5  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(379,115, to_date('116 2004','DDD YYYY') , 44  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(379,110, to_date('110 2004','DDD YYYY') , 40  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(379,165, to_date('121 2004','DDD YYYY') , 80  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(328,110, to_date('102 2004','DDD YYYY') , 30  ,3  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(328,194, to_date('025 2004','DDD YYYY') , 12  ,1  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(324,194, to_date('054 2004','DDD YYYY') , 10  ,2  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(365,194, to_date('064 2004','DDD YYYY') , 25  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(357,194, to_date('067 2004','DDD YYYY') , 18  ,3  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(379,194, to_date('098 2004','DDD YYYY') , 15  ,4  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,115, to_date('024 2004','DDD YYYY') , 20  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,120, to_date('025 2004','DDD YYYY') , 25  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,160, to_date('026 2004','DDD YYYY') , 24  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,165, to_date('023 2004','DDD YYYY') , 20  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,156, to_date('025 2004','DDD YYYY') , 25  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,184, to_date('098 2004','DDD YYYY') , 30  ,1  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,194, to_date('024 2004','DDD YYYY') , 10  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,142, to_date('053 2004','DDD YYYY') , 50  ,4  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,145, to_date('029 2004','DDD YYYY') , 10  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,147, to_date('023 2004','DDD YYYY') , 20  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,153, to_date('023 2004','DDD YYYY') , 20  ,0  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,149, to_date('053 2004','DDD YYYY') , 40  ,4  );
INSERT INTO  LIVRAISON(N_DEP ,CODE_J ,DATE_L , QTE_L ,QTE_R ) values
(381,110, to_date('023 2004','DDD YYYY') , 20  ,0  );
